読者です 読者をやめる 読者になる 読者になる

Visual Studio 2015 の ASP.NET 5 プロジェクトを Windows7 でビルドするには PowerShell 3.0 以上が必要だった

Visual Studio 2015 で ASP.NET 5 プロジェクトをビルドしようとしたら

DNX SDK バージョン 'dnx-clr-win-x86.1.0.0-beta5' のインストールに失敗しました。
ソリューションでは、このセッション用に DNX SDK バージョン 'dnx-clr-win-x86-1.0.0-beta5' を使用します

っていうエラーが出てビルドできなかった。

これは既知の問題で、Windows7 でビルドするには PowerShell 3.0 以上が必要みたい。

https://support.microsoft.com/ja-jp/kb/3025135

PowerShell の現時点での最新は 4.0。 Windows Management Framework 4.0 をインストールすれば、PowerShell 4.0 もインストールされた。

Download Windows Management Framework 4.0 from Official Microsoft Download Center

これでようやくビルド成功。